## TODO
* implement: conditional recipes to enable/disable items via config (Cobalt4D)
+ add: glass chimneys dropping items when broken with silk touch
+ add: Colorizer block
+ add: "invisible" option to the Smoker block and make the smoke go up instead of spreading around (matthysse59, Dimentive)
* rework and extend connection patterns to allow stair-like pipes (Telemnor, Shadowguardian91, Famout)
* add ducts (EliotXII)
* reimplement: ability to create custom chimneys (chead2000 and Syndaryl01)
* port: the Smoker block from 1.12 (DasFantatier, palpex, Biohazard041)
+ add decorative chimney caps (GregD, Syndaryl01)
+ implement camouflaging system (Archi9)
* implement sky cleaning system for PotR using Bat Poles
+ add particles to indicate pump active state (EliotXII)

## 6.0.12.0
* updated to Forge 36.2.0
* migrated to Mojang mappings
* __requires: ForgeEndertech 7.2.0.0 or above__

## 6.0.11.0
+ added: missing support for Bio-Generator and Gas-Burning Generator from Mekanism Generators (thanks to arlind94)
+ added: ability of vents to pull pollution in from the area below (thanks to daconex and EliotXII)
* improved: vent block model (added holes on the bottom side)
* improved: pump block model (added a hopper inside instead of a coal block)
* fixed: chimneys, vents and pumps not transmitting redstone power to adjacent blocks
* __requires: ForgeEndertech 7.1.0.0 or above__

## 6.0.10.0
+ added: support for Jumbo Furnace (thanks to hobokis_the_hobo)
* __requires: ForgeEndertech 7.1.0.0 or above__

## 6.0.9.0
+ added: support for Industrial Foregoing (thanks to emanuele_246gi)
+ added: *Smoke.colorize* config option (thanks to thafeeesh)
* __requires: ForgeEndertech 7.1.0.0 or above__

## 6.0.8.0
+ reimplemented: support for Tinkers Construct (thanks to DMN_CS)
* fixed: not working tags in emitter configs
* __requires: ForgeEndertech 7.1.0.0 or above__

## 6.0.7.0
+ added: different smoke for campfire's signal fire (DELETE old Emitters/minecraft$camp_fire.cfg & minecraft$soul_campfire.cfg)
+ added: support for Environmental Kiln (thanks to heubest)
+ added: support for PneumaticCraft: Repressurized Air Compressor (thanks to DMN_CS)
+ implemented: commands for testing and debugging (/chimneys ...)
+ implemented: ability to reload configs without restarting the game (/chimneys reload emitters)
* fixed: incorrect invocation of energyStorage capability in the Pump class
* fixed: incorrect collision shape of Vents and Pumps
* __requires: ForgeEndertech 7.1.0.0 or above__

## 6.0.6.0
+ added: support for Ceramics' Kiln (thanks to ZaWunderKid)
+ added: support for Thermal Expansion (thanks to Powermonkey00)
+ added: missing configs for Iron Furnaces' Netherite and Rainbow Furnace 
* __requires: ForgeEndertech 7.0.10.0 or above__

## 6.0.5.0
+ added: missing chimneys, vents and pumps made of Light Gray Concrete, Light Gray Stained Glass and Light Gray Glazed Terracotta (thanks to frozencrab48)
* __requires: ForgeEndertech 7.0.9.0 or above__

## 6.0.4.1
* fixed: a crash when loading on a server with Minecolonies (thanks to Judicius)
* __requires: ForgeEndertech 7.0.8.0 or above__

## 6.0.4.0
* updated to Minecraft 1.16.4
* __requires: ForgeEndertech 7.0.7.0 or above__

## 6.0.3.0
+ added: support for Mekanism Generators
* fixed: smoke going out into the chimney covered with a solid block (thanks to rogitien)
* __requires: ForgeEndertech 7.0.6.0 or above__

## 6.0.2.0
* updated to Minecraft 1.16.3
* __requires: ForgeEndertech 7.0.4.0 or above__

## 6.0.1.0
* updated to Minecraft 1.16.2
+ added: missing config for Soul Campfire
* __requires: ForgeEndertech 7.0.2.0 or above__

## 6.0.0.0
* ported to Minecraft 1.16.1
+ added: support for Soul Campfire
+ added: Polished Blackstone Bricks Chimney
+ added: Cobblestone and Mossy CobleStone Chimney
+ added: Chiseled Quartz and Quartz Bricks Chimney
+ added: Chiseled Nether Bricks Chimney
* fixed: modern smoke particles being not colored by emitters
* __requires: ForgeEndertech 7.0.0.0 or above__

## 5.0.6.0
+ added: Italian translation (thanks to active_films)
+ added: *disableVanillaCampfireSmoke* config parameter
* fixed: ugly smoke spreading everywhere around the emitter without a connected chimney (thanks to matthysse59 and Jergeric)
* __requires: ForgeEndertech 6.0.4.0 or above__

## 5.0.5.0
+ implemented: modern smoke particles (thanks to matthysse59)
+ added: config parameter "retroSmokeParticles" for switching between modern and retro particles
* __requires: ForgeEndertech 6.0.3.0 or above__

## 5.0.4.0
+ added: support for Mekanism
+ added: support for Silent's Mechanisms (thanks to active_films) 
* __requires: ForgeEndertech 6.0.2.2 or above__

## 5.0.3.0
+ added: "maxGapLength" parameter to control the air gap between the emitter and the chimney located above (thanks to VivaGabe)
* fixed: a crash when trying to configure the mod through the game menu
* __requires: ForgeEndertech 6.0.1.0 or above__

## 5.0.2.0
+ added: support for Iron Furnaces
+ added: Korean translation (thanks to vhslance)
* fixed: blocks not dropping items when broken (thanks to Riddome) 
* __requires: ForgeEndertech 6.0.0.0 or above__

## 5.0.1.0
+ added: support for Brick Furnace (thanks to vhslance)
* improved: shapes of vents and pumps
* fixed: incorrect render layer for glass chimneys
* fixed: incorrect ray-trace shape that resulted in placing a chimney on the side of another chimney rather than on top
* __requires: ForgeEndertech 6.0.0.0 or above__

## 5.0.0.0
* ported to Minecraft 1.15.2
* __requires: ForgeEndertech 6.0.0.0 or above__

## 4.0.0.1
* fixed: a critical bug with network messages that broke the mod in multiplayer
* __requires: ForgeEndertech 5.2.0.0 or above__

## 4.0.0.0
* ported to Minecraft 1.14.4
+ added: support for Campfire, Smoker and Blast Furnace
+ added: compatibility with waterlogging
- removed: chimneys made from raw materials
* __requires: ForgeEndertech 5.1.0.0 or above__

## 3.5.8.0
+ added: missing support for Railcraft boilers (thanks to LukaPix)
* __requires: ForgeEndertech 4.4.25.0 or above__

## 3.5.7.0
+ added: support for Combustion and Stirling engines from Buildcraft (thanks to seba0456pl)
+ added: support for Engineer's Decor (thanks to chanster115)
+ fixed: crashing with Pollution of the Realms v1.0.27.0 or above
* __requires: ForgeEndertech 4.4.24.0 or above__

## 3.5.6.0
+ added: support for Metallurgy 4: Reforged 
* fixed: chimneys and vents letting in all the light without shading (thanks to StormbringerGT)
* fixed: smoke color for Diamond Chimney (delete old Containers/diamond_block.cfg)
* __requires: ForgeEndertech 4.4.22.2 or above__

## 3.5.5.0
+ added: support for Dumpster Diving (thanks to StormbringerGT)
* __requires: ForgeEndertech 4.4.22.1 or above__

## 3.5.4.1
* fixed: a rare ConcurrentModificationException being thrown while iterating over chunk tile entities (thanks to yayaytree)
* __requires: ForgeEndertech 4.4.22.1 or above__

## 3.5.4.0
+ added: optional Forge Energy support for the pumps (thanks to Undermooon, golrith, An93l0fD3ath, ElectroBot, IronPiston)
+ added: new category "Pump" to the config GUI
* __requires: ForgeEndertech 4.4.22.0 or above__

## 3.5.3.0
+ added: support for Pyrotech (thanks to xorbah)
* __requires: ForgeEndertech 4.4.21.1 or above__

## 3.5.2.1
* fixed: support for Furnace Overhaul (delete old Emitters/furnace_overhaul$* configs) (thanks to Poke_Benji)
* improved: configs for Tinkers' Construct (delete old Emitters/tconstruct$* configs) (thanks to KidBrine)
* __requires: ForgeEndertech 4.4.21.1 or above__

## 3.5.2.0
+ added: support for Furnace Generator from Lucraft Core (thanks to RPlatinumStar)
* fixed: an issue with missing icon for creative inventory (thanks to Ilvrak)
* __requires: ForgeEndertech 4.4.20.1 or above__

## 3.5.1.0
+ added: support for Future MC (thanks to inonednthedragon)
+ added: support for Natura (thanks to lictor000)
* __requires: ForgeEndertech 4.4.20.0 or above__

## 3.5.0.0
+ added: support for cobblestones from Divergent Underground (delete old cobblestone.cfg) (thanks to Ilvrak)
+ added: support for limestone bricks from Atum 2
+ added: support for Galacticraft (thanks to keetarin and Supereverything01)
+ added: support for Coal Generator from Vulpes lib
+ added: support for Atum 2 (thanks to Arkenor)
+ added: support for Embers' Melter
* improved: support for Ember Bore from Embers Rekindled (delete old embers$ember_bore.cfg) (thanks to proceduraldialectics)
* improved: support for Tinkers' Construct multi-block structures
* fixed: smoke color for chimneys made from materials of the Ceramics mod (delete old configs from the Containers folder)
* __requires: ForgeEndertech 4.4.19.1 or above__

## 3.4.0.0
+ added: missing support for Coke Oven Advanced from Immersive Tech (thanks to mossy_head)
+ added: missing support for Alloy Kiln from Immersive Engineering (thanks to proceduraldialectics)
+ added: support for Ember Bore from Embers Rekindled
+ added: "relatedBlocks" parameter to define additional blocks of a multi-block emitter
* changed: "nbtControlKey" parameter to "activeStateTag"
* changed: "relatedBlockId" parameter to "id" (old user configs must be checked and updated)
* improved: support for Infernal Furnace from Thaumcraft (delete old thaumcraft$infernal_furnace) 
* fixed: recipe for Elder Prismarine Brick Chimney (delete old elder_prismarine_brick.cfg) (thanks to Ilvrak)
* fixed: recipe for Netherwrought Brick Chimney (delete old polished_netherrack_brick.cfg)
* fixed: broken "canEmitAside" parameter
* done: a lot of refactoring
- removed: built-in support for an open fire to significantly improve performance during large fires (delete old minecraft$fire.cfg)
* __requires: ForgeEndertech 4.4.18.0 or above__

## 3.3.23.0
+ added: support for 20 new materials from Quark (thanks to Ilvrak)
+ added: support for PneumaticCraft: Repressurized (thanks to Wideblaze)
+ implemented: groups for easier enabling / disabling chimneys
+ added: new parameters related with groups to groups.cfg & config GUI
* __requires: ForgeEndertech 4.4.17.1 or above__

## 3.3.22.0
+ added: support for Tinkers' Construct: Dried Bricks, Small Brownstone Bricks, Mud Bricks (thanks to Ilvrak)
+ added: support for Biomes O' Plenty Mud Bricks
+ added: support for Draconic Evolution Generator (thanks to Wideblaze)
* __requires: ForgeEndertech 4.4.17.0 or above__

## 3.3.21.0
+ added: missing config for Railcraft Red Coke Oven
* fixed: using deprecated IPollutant.canPassThrough method
* __requires: ForgeEndertech 4.4.17.0 or above__

## 3.3.20.0
+ added: 8 new brick chimneys for Ceramics mod (thanks to Ilvrak)
* __requires: ForgeEndertech 4.4.12.0 or above__

## 3.3.19.0
+ added: compatibility with Weather2 wind (thanks to CynicalBrat and Corosus)
* __requires: ForgeEndertech 4.4.11.0 or above__

## 3.3.18.0
+ added: support for Tinkers' Complement (thanks to serialtasted)
+ added: support for Gregtech Community Edition (thanks to meiseside and LordPINE)
* fixed: configs for Tinkers' smeltery and seared furnace
* fixed: error log being spammed by Smoker
* __requires: ForgeEndertech 4.4.9.0 or above__

## 3.3.17.0
+ added: support for PrimalCore (thanks to serialtasted)
* __requires: ForgeEndertech 4.4.8.0 or above__

## 3.3.16.1
* fixed: broken config for Actually Additions powered furnace
* fixed: an issue where Mr.Crayfish's fire pit would stop producing smoke after restarting the world (thanks to Ghost8909) 
* __requires: ForgeEndertech 4.4.7.0 or above__

## 3.3.16.0
+ added: support for Railcraft (thanks to mackoka3)
+ added: ability to connect a pump to an emitter through a chimney pipe (thanks to duncan9322)
* reworked: configs for emitters (understandable names, using block properties to avoid multiple configs)
* __delete old configs from the Emitters folder to avoid duplication with new ones__
* __requires: ForgeEndertech 4.4.6.0 or above__

## 3.3.15.0
+ added: missing config for IC2 Heat Generator
+ added: missing config for IE Improved Blast Furnace (thanks to duncan9322)
* __requires: ForgeEndertech 4.4.4.0 or above__

## 3.3.14.0
+ added: support for Thaumcraft (thanks to xorbah)
* __requires: ForgeEndertech 4.4.2.0 or above__

## 3.3.13.0
+ added: support for Better Boilers (thanks to golrith)
* fixed: emitter config for Mekanism (delete the old one)
* __requires: ForgeEndertech 4.4.2.0 or above__

## 3.3.12.0
+ added: support for IC2 Classic
+ added: support for ProjectE
+ added: support for MrCrayfish's Furniture Mod oven

## 3.3.11.0
+ added: support for Gadgetry: Machines

## 3.3.10.0
+ added: support for Ignition: Foundry (thanks to VivaGabe)  

## 3.3.9.0
+ added: support for Furnace Overhaul (thanks to justanothermodenthusiast9)
+ added: support for Tea the Story
+ added: support for Iron Furnaces

## 3.3.8.0
+ added: ability to climb up/down within a chimney
* refactored: Container class, now extends RelatedBlock
* moved: config options "relatedId" and "color" to another category
* fixed: occasionally missing creative tab icon
* __requires: ForgeEndertech 4.4.0.0 or above__

## 3.3.7.2
* fixed: broken recipes for chimneys from variant materials (thanks to danny_djdk)
* __note: delete old configs in "adchimneys/Containers" folder__

## 3.3.7.1
* fixed: smoke particles being affected by wind inside a solid block
* fixed: rendering issues with neighboring blocks
* __requires: ForgeEndertech 4.3.20.0 or above__

## 3.3.7.0
+ added: chimneys made of TConstruct seared bricks
+ added: Seared Brick Chimney
+ added: Fancy Seared Brick Chimney
+ added: Small Seared Brick Chimney
+ added: Triangle Seared Brick Chimney

## 3.3.6.1
* fixed: missing TConstruct Seared Furnace support (thanks to Akaruz64)
* improved: performance by setting "emitWithoutChimney" option to "False" for fire (delete old minecraft$fire.cfg)

## 3.3.6.0
* optimized: model format to fit forge standards
* __requires: ForgeEndertech 4.3.19.0 or above__

## 3.3.5.0
+ added: support for Mekanism
* __requires: ForgeEndertech 4.3.16.0 or above__

## 3.3.4.0
+ added: profiler sections for measuring performance
* improved: pump performance
* __requires: ForgeEndertech 4.3.15.0 or above__

## 3.3.3.0
+ added: support for Advanced Rocketry (thanks to LegendaryGeekGameing)
+ added: support for Immersive Craft (thanks to Sithalo91059)
* fixed: pump being not working with glass panel on top
* fixed: configs for TechReborn Iron Furnace
* __requires: ForgeEndertech 4.3.14.0 or above__

## 3.3.2.0
+ implemented: asynchronous periodic updates for better performance
* __requires: ForgeEndertech 4.3.13.0 or above__

## 3.3.1.1
* fixed: rendering of connected vents and pumps
* __requires: ForgeEndertech 4.3.10.0 or above__

## 3.3.1.0
+ added: new model for the Smoker block
+ added: config option to invert pump active state (thanks to frikavonschwein)
* improved: model for Pump
* __requires: ForgeEndertech 4.3.6.0 or above__

## 3.3.0.0
+ added: new nice 3D models for vents and pumps
+ added: new GUI options for controlling the display of blocks on creative tab (thanks to joonny030589)
+ added: recipe for the Smoker (thanks to Goldobsidian)
* replaced: emitters with pumps with new functions (see Pollution of the Realms)
* renamed: conductors to vents 
* changed: pump recipe (comparator replaced by coal block)
* fixed: incorrect texture mapping on chimneys
* __requires: ForgeEndertech 4.3.5.0 or above__

## 3.2.2.0
+ added: config GUI for in-game changing basic mod settings
+ added: ability to connect conductors to the bottom of the furnace to hide vent ducts in the floor
+ increased: default max particles amount from 400 to 800
* implemented: a new function of the conductor as a vent duct for Pollution of the Realms mod
* fixed: incorrect smoke particle texture indexing
* __requires: ForgeEndertech 4.3.4.0 or above__

## 3.2.1.2
* fixed: crash when using a vanilla map (thanks to VolksJagger)
* __requires: ForgeEndertech 4.3.1.0__

## 3.2.1.1
+ increased: smoke default max horizontal transfer distance from 8 to 16
* fixed: recognition of IC2 tile entities (thanks to MadHaTr and ColiosX)
* fixed: compatibility with SpongeForge (thanks to LiskoSlayer63)
* fixed: compatibility with Furnus (thanks to VictorScrooge)

## 3.2.1.0
+ added: separate config emitWithoutChimney parameter for each emitter
+ added: compatibility with Teckle (thanks to VivaGabe)
+ added: Marble Chimney and Polished Marble Chimney for Quark mod
+ added: Coke Brick Chimney and Blast Brick Chimney for Immersive Engineering mod
+ added: maxHorizTransferDistance global config parameter for conductors
* fixed: redundant player tick event handling on both phases
* fixed: improper custom chimney registration causing textures being missed
* fixed: chimney being always dropped when conductor or emitter gets destroyed
* fixed: incorrect tooltips for conductors and emitters
- turned off: smoke particles emission for IC blocks (thanks to MadHaTr and ColiosX)

## 3.2.0.0
! ATTENTION: delete old configs (.minecraft/config/adchimneys folder) for changes to take effect
+ implemented: wind simulation with configurable parameters (.minecraft/config/forgeendertech folder)
+ implemented: horizontal smoke transfer ability via build-in conductors (thanks to Ldrs12)
+ added: build-in redstone powered smoke emitters for each material the chimney is made of
+ added: compatibility with Techreborn (thanks to Hypsellis)
+ added: compatibility with RFTools
- removed: some redundant configs and parameters
* improved: all config parameters for better performance (it is necessary to delete old configs)
* fixed: smoke particles getting out of the chimney bounds

## 3.1.0.0
+ added: transparent chimneys support
+ added: glass chimneys of all colors (thanks to Hypsellis)
+ added: new config options: Smoke.canCollide, Smoke.emitWithoutChimney
* reworked: particle generating system for transparent chimneys
* updated: localization files
* fixed: map colors for chimney blocks
* fixed: invalid event annotation error (thanks to Xenonics)
* updated to recommended forge-1.12.2-14.23.0.2491

## 3.0.1.0
+ added: a lot of new chimneys (thanks to Hypsellis)
+ added: Glazed Terracotta Chimneys (all 16 colors)
+ added: Concrete Chimneys (all 16 colors)
* updated: localization files

## 3.0.0.0
* ported to Minecraft 1.12

## 2.0.13.0
+ added: compatibility with Immersive Engineering (thanks to Malaclypse2317)

## 2.0.12.0
+ added: compatibility with Tinkers Construct (thanks to inkdrgn)

## 2.0.11.0
+ added: compatibility with Giacomo's Foundry (thanks to VivaGabe)
+ added: compatibility with Advanced Generators (thanks to MatthiasMann)

## 2.0.10.0
+ added: compatibility with Industrial Craft 2 (thanks to VivaGabe)

## 2.0.9.1
+ added: Bone Chimney (thanks to Hypsellis)
+ added: Dirt Chimney
+ added: Coarse Dirt Chimney
+ added: Russian localization (thanks to Aqelius)
+ added: ability to get into the chimney, like Santa (thanks to darthvader45 and kenijey) 
+ added: compatibility with Machines mod (thanks to COMFYCATs)
+ added: compatibility with MrCrayfish's Furniture Mod (thanks to kenijey)
* fixed: smoke being blocked by Tough As Nails torches
* fixed: chimney side being not recognized as solid (thanks to JasonKillsUS)

## 2.0.8.0
+ added: a lot of new chimneys (thanks to Hypsellis)
+ added: Seal Lantern Chimney
+ added: Mossy Stone Brick Chimney
+ added: Cracked Stone Brick Chimney
+ added: Chiseled Sandstone Chimney
+ added: Chiseled Quartz Chimney
+ added: Pillar Quartz Chimney
+ added: Chiseled Red Sandstone Chimney
+ added: Clay Chimney
+ added: Hardened Clay Chimneys (all 16 colors)
+ added: compatibility with Tough As Nails (thanks to SquareWheel)

## 2.0.7.0
+ added: compatibility with Better With Mods (thanks to SquareWheel)
+ added: compatibility with Thermal Expansion (thanks to Namaikavi)
* fixed: smoke color not working for custom emitters
* fixed: smoke being blocked by stained glass panels
* improved: smoke particles physics and collisions

## 2.0.6.0
+ added: compatibility with Actually Additions (thanks to Tank2333)
+ added: compatibility with FunOres
+ added: compatibility with Mystical Agriculture (thanks to Minecraft_Indonesian)

## 2.0.5.0
* **WARNING! Delete old configs if you are updating from previous versions**
+ added: snow melts around an active chimney (thanks to TomberWolf)
+ added: config parameter "maxRenderedParticlesAmount" that greatly affects performance
+ added: smoke amount will be proportionally reduced for each rendered chimney if it exceeds the specified maximum 
* fixed: chimney covered by glass or glass pane stopped to emit smoke 
* fixed: NullPointerException when using Smoker block
* fixed: torches could be placed on the top of the chimney
* fixed: torches placed on a size of the chimney blocked up smoke
* fixed: cobweb blocked up smoke completely
* improved: increased default render distance from 80 to 128 
* improved: performance greatly increased when using a lot of chimneys

## 2.0.4.0
* WARNING! you must delete old configs from Conductors and Emitters folders
* fixed ignoring meta data in config files
* fixed compatibility with updated mods
* fixed smoke blocking by Cooking for Blockheads racks
* More Furnaces mod has different smoke colors for each furnace now

## 2.0.3.1
* fixed incorrect id recognition with '*' character as meta 

## 2.0.3.0
* deep code reorganization
* updated to the latest recommended forge-1.11.2-13.20.0.2228

## 2.0.2.0
+ added gui configurable Smoker block that can be used instead of furnace (thanks to xenoflot)

## 2.0.1.0
* fixed some vanilla block names being overridden by chimneys (thanks to xavierh44)
* some code improvements
* updated to the latest forge-1.11.2-13.20.0.2223

## 2.0.0.0
* ported to Minecraft 1.11.2 (forge-1.11.2-13.20.0.2203)
* changed format for all ids to comply with MC 1.11 standart
+ added Coal Chimney
+ added Dark Prismarine Chimney
+ added Endstone Brick Chimney
+ added Magma Chimney
+ added Nether Wart Chimney
+ added Polished Andesite Chimney
+ added Polished Diorite Chimney
+ added Polished Granite Chimney
+ added Red Nether Brick Chimney
+ added Smooth Red Sandstone Chimney
+ added Smooth Sandstone Chimney

## 1.1.4.0
* added compatibility with Cooking for Blockheads (thanks to jhayejarvis)

## 1.1.3.1
* fixed: textures being overstretched on west and south sides (thanks to Link19658)

## 1.1.3.0
* added compatibility with EnderIO Stirling Generator

## 1.1.2.1
* fixed incorrect smoke color settings for emitters
* removed remaining redundant conductors

## 1.1.2.0
* added compatibility with Furnus mod
* removed redundant conductors
* requires ForgeEndertech 1.10.2-1.1.3.0

## 1.1.1.1
* rebuild to accept older Minecraft versions [1.9.4, 1.10]
* requires ForgeEndertech 1.10.2-1.1.1.1

## 1.1.1.0
* updated to the latest ForgeEndertech lib
* requires ForgeEndertech 1.10.2-1.1.1.0

## 1.1.0.1
* some versioning fixes
* updated to the latest stable Forge
* requires ForgeEndertech 1.10.2-1.1.0.1

## 1.1.0.0
* fixed broken recipes
* now the hardness, resistance and light parameters depend on base material (remove old configs to make it work)
+ added Glowstone Chimney
+ added Purpur Chimney
+ added Soul Sand Chimney
* requires ForgeEndertech 1.10.2-1.1.0.0

## 1.0.0.0
* ported to Minecraft 1.10.2
+ added Andesite Chimney
+ added Diorite Chimney
+ added Granite Chimney
+ added Prismarine Chimney
+ added Prismarine Brick Chimney
+ added Red Sandstone Chimney
